> Tous les forums > Forum Linux
 Mise à jour de ma Debian Wheezy vers Jessie
Ajouter un message à la discussion
Pages : [1] 2 ... Fin
Page 1 sur 2 [Fin]
milou32
  Posté le 26/04/2015 @ 10:54 
Aller en bas de la page 
Astucienne

Bonjour à tous

Comme me l'a demandé Logicien, je donne des nouvelles de la mise à jour de ma Debian Stable vers Jessie.

Mise à jour lancée ce matin, 673 mises à jour proposées, mais pour l'instant je suis bloquée.... J'ai ce retour et je ne sais pas ce que je dois faire......

imagemagick (8:6.8.9.9-1) unstable; urgency=high

Obsolete config scripts (Magick-config, MagickCore-config,
MagickWand-config, Wand-config and Magick++-config) are
not multi-arch safe and thus have been removed from /usr/bin.
.
Moreover, these scripts are superseded by pkg-config
facilities.
.
However as a courtesy to our users, these scripts have
been moved to
/usr/lib/$DEB_HOST_MULTIARCH/ImageMagick-$VERSION/bin-$QUANTUMDEPTH/
where $DEB_HOST_MULTIARCH is the multi-arch triplet and
$QUANTUMDEPTH is the current quantum depth. $VERSION is the upstream
version without the revision number.
.
Please note that these scripts will be definitively removed after
jessie.

-- Bastien Roucariès <roucaries.bastien+debian@gmail.com> Sun, 19 Oct 2014 12:12:20 +0200

ca-certificates (20140927) unstable; urgency=medium

Update Mozilla Certificate Authority bundle to version 2.1.
The following Certificate Authorities were added (+):
+ "DigiCert Assured ID Root G2"
+ "DigiCert Assured ID Root G3"
+ "DigiCert Global Root G2"
+ "DigiCert Global Root G3"
+ "DigiCert Trusted Root G4"
+ "QuoVadis Root CA 1 G3"
+ "QuoVadis Root CA 2 G3"
+ "QuoVadis Root CA 3 G3"
+ "WoSign"
+ "WoSign China"
The following Certificate Authorities were removed (-):
- "Entrust.net Secure Server CA"
- "RSA Root Certificate 1"
- "TDC Internet Root CA"
- "ValiCert Class 1 VA"
:

Et je ne sais pas ce que je dois faire......



Modifié par milou32 le 26/04/2015 11:35
Publicité
milou32
 Posté le 26/04/2015 à 11:05 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucienne

J'ai trouvé j'ai fait q les mises à jour se poursuivent.
La suite dans quelques instants.....

milou32
 Posté le 26/04/2015 à 11:34 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucienne

Mise à jour terminée. Reboot et tout roule pour l'instant.

A voir dans le temps, mais pour l'instant c'est tout bon.

Migration réussie

Slyvester
 Posté le 27/04/2015 à 16:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjour,

Je n'ai pas eu cette chance avec WattOS-R8 (fork ou dérivée de Debian Wheezy) aujourd'hui. Voici le message d'erreur à la fin de la mise-à-jour :

Traitement des actions différées (« triggers ») pour menu (2.1.46) ... Des erreurs ont été rencontrées pendant l'exécution : systemd E: Sub-process /usr/bin/dpkg returned an error code (1)

slyvester@slyvester-desktop:~$ sudo dpkg --configure -a Paramétrage de systemd (215-17) ... chage : le fichier des mots de passe cachés /etc/shadow n'existe pas /usr/bin/chage a échoué avec un code de retour 15, indiquant que le masquage des mots de passe n'est pas activé, impossible de leur attribuer une durée de vie. Poursuite de la procédure... chfn : PAM : Échec d'authentification adduser : « /usr/bin/chfn -f systemd Resolver systemd-resolve » a retourné le code d'erreur 1. Abandon. dpkg: erreur de traitement du paquet systemd (--configure) : le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1 Des erreurs ont été rencontrées pendant l'exécution : systemd

slyvester@slyvester-desktop:~$

Je fais des recherches mais en attendant, si quelqu'un a une idée ou une piste, cela sera le bienvenu !



Modifié par Slyvester le 28/04/2015 10:08
aug
 Posté le 27/04/2015 à 17:06 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

à tous,

Opération tentée et réussie sur Débian stable.

@Slyvester,

A mon sens, sur une distrib qui s'appuie sur Debian stable, il est préférable d'attendre la mise à jour proposée par la distribution.

J'ai handylinux sur une partition et j'attends la mise à jour qui sera proposée par cette dernière.

Slyvester
 Posté le 27/04/2015 à 17:26 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Re,

@ Aug : Je n'ai pas eu cette patience. Pour le moment, après avoir essayé diverses commandes : sudo apt-get install -f + sudo dpkg --configure ou sudo dpkg --reconfigure … J'ai ensuite tapé "sudo aptitude dist-upgrade" et depuis une demi-heure, cela travaille via terminal. Wait and see !

Il faut avouer que j'ai refait une bêtise que j'avais faite il y a très longtemps : sans doute avec Ubuntu 9.10 (?) où lorsque se pose la question : "Une nouvelle version du paquet XXX existe, voulez-vous la nouvelle version Y ou voulez-vous garder l'ancienne : N ?". Au lieu de faire comme je le fais depuis des années, c’est-à-dire choisir : N ou soit garder l'ancienne version, j'ai malencontreusement opté pour Y.

Cela explique peut-être ma maladresse sans l'excuser, bien sûr.



Modifié par Slyvester le 28/04/2015 10:07
Slyvester
 Posté le 27/04/2015 à 17:35 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Et voilà, le résultat est très peu satisfaisant puisque voici venir un nouveau message d'erreur :

« Des erreurs ont été rencontrées pendant l'exécution : i8kutils pulseaudio pulseaudio-module-x11 rtkit E: Sub-process /usr/bin/dpkg returned an error code (1) Échec de l'installation d'un paquet. Tentative de réparation : Paramétrage de i8kutils (1.41) ... [FAIL] Starting Dell fan/cpu-temperature monitor: i8kmon Could not find /proc/i8k. failed! invoke-rc.d: initscript i8kmon, action "start" failed. dpkg: erreur de traitement du paquet i8kutils (--configure) : le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1 Paramétrage de pulseaudio (5.0-13) ... Paramétrage de pulseaudio-module-x11 (5.0-13) ... Paramétrage de rtkit (0.11-2) ... [ ok ] Reloading system message bus config...done. Traitement des actions différées (« triggers ») pour libc-bin (2.19-18) ... Des erreurs ont été rencontrées pendant l'exécution : i8kutils État actuel : 0 mise à jour restante [-318] »

slyvester@slyvester-desktop:~$

J'arrête pour aujourd'hui, assez déçu ... je verrai demain. Tomorrow is another day.



Modifié par Slyvester le 28/04/2015 10:09
Logicien
 Posté le 27/04/2015 à 20:37 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Bonjour,

si le passage de Wheezy à Jessie de milou32 s'est effectué avec succès, c'est parce-que son /etc/apt/sources.list est configuré avec les dépôts stable et non pas avec ceux de wheezy. Pour ceux qui utilisent les dépôts wheezy, il faut les changer pour jessie ou réinstaller une Debian stable (Jessie) à partir de zéro.

milou32,

félicitations. Systemd sous Debian utilise aussi les commandes de SystemV comme update-rc.d pour gérer les services. La commande de base de Systemd pour la même tâche étant systemctl. Je pense que ces commandes s'invoquent l'une l'autre quand c'est nécessaire sous Debian.

Tu utilises déjà Systemd sous ArchLinux. Ça ne devrait pas être trop compliqué de t'y adapter sous Debian.

aug
 Posté le 27/04/2015 à 21:14 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

logicien,

Effectivement: j'ai changé mes sources.list avant de faire l'upgrade vers Jessie.

j'ai utilisé les sources.list indiqués par m_n ici:

https://forum.pcastuces.com/debian_80_jessie_pour_le_25_avril_2015-f8s14725.htm

j'ai juste remplacé "us" par "fr".

Publicité
milou32
 Posté le 27/04/2015 à 21:15 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucienne

Bonjour Logicien,

Je ne pense pas avoir de problèmes pour m'adapter, sinon je viendrai demander de l'aide sur PCA...

Pour l'instant après plus de 24 heures d'utilisation, je n'ai aucun souci

Slyvester
 Posté le 28/04/2015 à 10:04 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjour,

Milou a écrit : " .......;; Je ne pense pas avoir de problèmes pour m'adapter, sinon je viendrai demander de l'aide sur PCA... ...".

Tu as beaucoup de chance Milou !

je vais donc chercher la solution à mon problème seul comme je l'ai toujours fait jusqu'à présent,mais une idée de piste m'aurait fait plaisir.

milou32
 Posté le 28/04/2015 à 10:15 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucienne

Bonjour Slyvester

Malheureusement, je ne peux pas t'aider, vu mes maigres connaissances.... Mais je pense que aug t'a mis sur la piste, vu que c'est une distribution dérivée de Debian, moi je suis partie de Debian Wheezy et comme le dit Logicien j'étais en rolling release, une simple mise à jour a suffit.

Bon courage dans tes recherches

Slyvester
 Posté le 28/04/2015 à 10:26 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

@Milou,

"Bon courage dans tes recherches " Merci, c'est toujours cela. Néanmoins, peux-tu faire un copier/coller de ta liste "/etc/apt/sources.list" que j'aurais dû changer avant de faire la mise-à-jour/mise-à-niveau s'il-te-plaît ?

Je suis sur une dérivée de Debian Wheezy (Watt OS R-8 = petite distribution très rapide pour p.c.'s pas tout jeunes) . Je n'ai pas fait cette démarche au préalable ... Merci d'avance.

milou32
 Posté le 28/04/2015 à 10:41 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucienne

voilà mon /etc/apt/sources.list

# deb cdrom:[Debian GNU/Linux 7.7.0 _Wheezy_ - Official amd64 kde-CD Binary-1 20141018-13:04]/ wheezy main

deb cdrom:[Debian GNU/Linux 7.7.0 _Wheezy_ - Official amd64 kde-CD Binary-1 20141018-13:04]/ wheezy main

deb http://ftp.fr.debian.org/debian/ stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stable main contrib non-free

deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free


deb http://ftp.fr.debian.org/debian/ wheezy-backports main contrib non-free

hido
 Posté le 28/04/2015 à 10:42 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Bonjour Slyvester

Attention dérivée ne veut pas dire identique, WattOS a peut être ses propres dépôts et n'utilise pas ceux de debian.

D'où tes problemes de mise à jour

Slyvester
 Posté le 28/04/2015 à 10:49 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

@ Milou,

Grand merci pour ta "sources.list". Cela va certainement m'aider à y voir plus clair !

@Hido : bonjour & merci pour ta remarque non dénuée de sens; Ci-dessous, ma "sources.list" telle qu'elle apparaît actuellement. Tiens, les "backports" sont ouverts, ce qui n'est sans doute pas nécessaire. J'ai l'impression que je vais tout devoir réinstaller si je ne trouve pas avant 12:00 :

# deb http://ftp.us.debian.org/debian/ wheezy main

deb http://packages.linuxmint.com debian import
deb ftp://ftp.debian.org/debian stable main contrib non-free

deb http://ftp.us.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.us.debian.org/debian/ wheezy main non-free contrib

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.us.debian.org/debian/ wheezy-updates main contrib non-free

# backports

#deb-src http://ftp.us.debian.org/debian/ wheezy-backports main non-free contrib
#deb http://ftp.us.debian.org/debian/ wheezy-proposed-updates non-free contrib main
#deb http://http.debian.net/debian wheezy-backports main contrib non-free
#deb-src http://http.debian.net/debian wheezy-backports main contrib non-free



Modifié par Slyvester le 28/04/2015 17:08
hido
 Posté le 28/04/2015 à 11:00 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Finalement ce sont bien les dépots debian que tu as, mais ce sont ceux de wheezy pas de jessie

Mais ils sont d'origine ou est ce toi qui les a modifié ?

je te conseille de faire une réinstallation soit de wattos soit de debian jessie

Publicité
Slyvester
 Posté le 28/04/2015 à 12:04 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Salut Hido,

Ce sont les dépots d'origine. Dans l'entretemps, j'ai utilisé ce bon vieux CloneZilla & me suis restitué la partition d'origine sur laquelle je suis actuellement. J'en suis au point de départ, ce qui n'est pas plus mal. A propos, ma "sources.list" de Watt OS-R8 est ("backports" décochés):

# deb http://ftp.us.debian.org/debian/ wheezy main

deb http://packages.linuxmint.com debian import
deb ftp://ftp.debian.org/debian stable main contrib non-free

deb http://ftp.us.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.us.debian.org/debian/ wheezy main non-free contrib

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.us.debian.org/debian/ wheezy-updates main contrib non-free

# backports

#deb-src http://ftp.us.debian.org/debian/ wheezy-backports main non-free contrib
#deb http://ftp.us.debian.org/debian/ wheezy-proposed-updates non-free contrib main
#deb http://http.debian.net/debian wheezy-backports main contrib non-free
#deb-src http://http.debian.net/debian wheezy-backports main contrib non-free

m_n
 Posté le 28/04/2015 à 15:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

deb http://ftp.us.debian.org/debian/ jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
deb http://ftp.us.debian.org/debian/ jessie-backports main contrib non-free

Ceux qui veulent les multimedia , rajouter :

----------------------------------------------------------------------------------

deb http://www.deb-multimedia.org jessie main non-free
deb http://www.deb-multimedia.org jessie-backports main

----------------------------------------------------------------------------------

apt-get update && upgrade && dist-upgrade

---------------------------------------------------------------------------------

Et votre transfere de wheezy vers Jessie est faite ..

---------------------------------------------------------------------------------

(( Perso, je suggère plutôt de faire une nouvelle install avec l'iso d'install .. ))

==================================================================



Modifié par m_n le 28/04/2015 18:56
Slyvester
 Posté le 28/04/2015 à 17:15 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjout m_n,

Connais-tu un lien de téléchargement de la Debian "testing" Jessie 8 version LXDE 32 bits ? Merci d'avance.

P.S. : Entretemps, j'ai trouvé le lien : http://cdimage.debian.org/debian-cd/8.0.0/i386/iso-cd/



Modifié par Slyvester le 28/04/2015 17:26
m_n
 Posté le 28/04/2015 à 17:20 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
m_n
 Posté le 28/04/2015 à 17:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Mais , dit-moi,

Pourquoi la °° Testing °° ??

car , il n'est pas recommender ( no recommended ) de faire un dist-upgrade sur une ( Testing ) ..



Modifié par m_n le 28/04/2015 19:43
Slyvester
 Posté le 28/04/2015 à 17:40 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjour m_n,

Il y a des mois, je comptais installer Debian Wheezy 7 + sur une autre partition Debian Jessie 7. j'ai finalement installé Watt OS (fork ou dérivée de Debian Wheezy) & sur une autre partition SparlyLinux (= fork ou dérivée de Debian Jessie).

Watt OS est très véloce mais convient plutôt pour créer une clé USB tandis que SparkyLinux est une très agréable surprise ! Cette distribution-là, je la garde de toute façon. Le forum est très réactif (pas comme celui de Watt OS! ) mais uniquement en anglais, ce qui ne dérange pas trop. Avec la "testing", il y a beaucoup de mises-à-jour et je n'ai pas - jusqu'à présent - connu de grandes mésaventures. Pour le moment, je foire complétement ma mise-à-jour/mise-à-niveau de Watt OS.

Le dernier message d'erreur : E: Sub-process /usr/bin/dpkg returned an error code (1)

Voilà, tu sais tout !

P.S. il n'est pas recommendé de faire un dist-upgrade sur une ( Testing ) .. C'est pas idiot ça, la preuve plus haut !



Modifié par Slyvester le 28/04/2015 17:46
m_n
 Posté le 28/04/2015 à 17:50 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

SparlyLinux (= fork ou dérivée de Debian Jessie)

Jessie ( stable ) ou ( testing ) .. ??

je demande cà car il y a longtemps que j'ai fait le test de SparlyLinux

je vais surement refaire le test de SparlyLinux un jour ..

=============================================

Ok, j'ai trouvé la reponse ..



Modifié par m_n le 28/04/2015 18:11
hido
 Posté le 28/04/2015 à 22:34 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

bonsoir

jessie n'est plus en testing, c'est la version stable maintenant

Slyvester
 Posté le 01/05/2015 à 10:30 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Bonjour Hido,

Il y a une explication à tout Après avoir cherché sur le site de WattOS ; il appert que cette distribution va émettre une nouvelle version WattOs R9 qui ne sera plus basée sur Debian mais sur Ubuntu 14.04.2. il s'agit évidemment d'une grande différence notamment en ce qui concerne les listes des dépots ! Ceci explique cela & et je comprends mieux mes difficultés avec cette distribution WattOS R8 bientôt obsolète : http://www.planetwatt.com/

Bonjour m_n,

Je procèderai sous peu à une installation de la Debian 8, mais j'hésite encore quel environement de bureau, sans doute LXDE étant donné que mes p.c. ne sont pas des foudres de guerre (2 Go à 3 Go).

Je répète que SparkyLinux reste pour moi une référence qui comporte - notamment - un logiciel de mises-à-jour/mises-à-niveau qui m'évite de faire les cories rencontrées auparavant : http://sparkylinux.org/forum/index.php

A +,

Slyvester.

Publicité
Pages : [1] 2 ... Fin
Page 1 sur 2 [Fin]

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Debian Wheezy HS après mise à jour
Carte wifi plus reconnue après mise à jour Debian Testing
Besoin de conseils pour mise à jour Debian Testing
Debian Wheezy : Echec des mises à jour
Prévenir la mise-à-jour d'un paquet sous Debian et dérivées
Mise-à-jour Debian Testing/Sid: Améliorations !
mise a jour mandriva2005 vers 2006
installer amule sur debian 8.0 jessie
mise a jour adobe
Debian 8.0 Jessie - Comment exécuter un programme demandant une élévation
Plus de sujets relatifs à Mise à jour de ma Debian Wheezy vers Jessie
 > Tous les forums > Forum Linux